SRT-FILE-TRANSMIT(1)

NAME
srt-file-transmit - SRT sample application to transmit files

SYNOPSIS
srt-file-transmit [options] <input-uri> <output-uri>

DESCRIPTION
SRT sample application to transmit files. Built with SRT Library version: 1.5.6 SRT Library version: 1.5.6, clock type: GETTIME_MONOTONIC

-c, -chunk:<chunk=1456> - max size of data read in one step

-sf, -skipflush - skip output file flushing

-bandwidth-report, -bitrate-report, -bwreport, -r, -report:<every_n_packets=0> - bandwidth report frequency

-s, -stats, -stats-report-frequency:<every_n_packets=0> - frequency of status report

-statsout:<filename> - output stats to file

-pf, -statspf:<format=default> - stats printing format [json|csv|default]

-f, -fullstats - full counters in stats-report (prints total statistics)

-ll, -loglevel:<level=error> - log level [fatal,error,info,note,warning]

-logfa:<fas=general,...> - log functional area [all,general,bstats,control,data,tsbpd,rexmit]

-logfile:<filename=> - write logs to file

-q, -quiet - quiet mode (default off)

-v, -verbose - verbose mode (default off)

-h,-help - show this help

-version - print SRT library version

<input-uri>
    - URI specifying a medium to read from

    <output-uri> - URI specifying a medium to write to

URI syntax: SCHEME://HOST:PORT/PATH?PARAM1=VALUE&PARAM2=VALUE... Supported schemes:

    srt: use HOST, PORT, and PARAM for setting socket options udp: use HOST, PORT and PARAM for some UDP specific settings file: file URI or file://con to use stdin or stdout